package com.ruoyi.system.mapper;

import com.ruoyi.system.domain.UserRelate;

import java.util.List;

/**
 * 子系统用户账号关联Mapper接口
 * 
 * @author ruoyi
 * @date 2022-11-02
 */
public interface UserRelateMapper 
{
    /**
     * 查询子系统用户账号关联
     * 
     * @param relateId 子系统用户账号关联ID
     * @return 子系统用户账号关联
     */
    public UserRelate selectUserRelateById(Long relateId);

    /**
     * 查询子系统用户账号关联列表
     * 
     * @param userRelate 子系统用户账号关联
     * @return 子系统用户账号关联集合
     */
    public List<UserRelate> selectUserRelateList(UserRelate userRelate);

    /**
     * 新增子系统用户账号关联
     * 
     * @param userRelate 子系统用户账号关联
     * @return 结果
     */
    public int insertUserRelate(UserRelate userRelate);

    /**
     * 修改子系统用户账号关联
     * 
     * @param userRelate 子系统用户账号关联
     * @return 结果
     */
    public int updateUserRelate(UserRelate userRelate);

    /**
     * 删除子系统用户账号关联
     * 
     * @param relateId 子系统用户账号关联ID
     * @return 结果
     */
    public int deleteUserRelateById(Long relateId);

    /**
     * 批量删除子系统用户账号关联
     * 
     * @param relateIds 需要删除的数据ID
     * @return 结果
     */
    public int deleteUserRelateByIds(String[] relateIds);

    public int batchUserRelate(List<UserRelate> list);
}
